Search series
curl --request GET \
--url https://api.probsights.com/v1/search/series \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.probsights.com/v1/search/series"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.probsights.com/v1/search/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"series_id": "<string>",
"exchange": "<string>",
"title": "<string>",
"slug": "<string>",
"url": "<string>",
"category": "<string>",
"status": "<string>",
"n_events_total": 123,
"n_events_active": 123,
"earliest_event_at": "<string>",
"latest_event_at": "<string>"
}Search
Search series
List Kalshi and Polymarket series by text query.
GET
/
v1
/
search
/
series
Search series
curl --request GET \
--url https://api.probsights.com/v1/search/series \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.probsights.com/v1/search/series"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.probsights.com/v1/search/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"series_id": "<string>",
"exchange": "<string>",
"title": "<string>",
"slug": "<string>",
"url": "<string>",
"category": "<string>",
"status": "<string>",
"n_events_total": 123,
"n_events_active": 123,
"earliest_event_at": "<string>",
"latest_event_at": "<string>"
}Returns series sorted by the selected
sort_by mode. Use this endpoint to find a
series_id, then pass it to Search markets or
Search events.
Request
https://api.probsights.com/v1/search/series
Query parameters
Response
Returns a JSON array of series objects.Examples
Find all 15-minute crypto series
curl -H "X-API-Key: YOUR_API_KEY" \
"https://api.probsights.com/v1/search/series?q=15m"
import requests
response = requests.get(
"https://api.probsights.com/v1/search/series",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"q": "15m"},
)
series = response.json()
const res = await fetch(
"https://api.probsights.com/v1/search/series?q=15m",
{ headers: { "X-API-Key": "YOUR_API_KEY" } }
);
const series = await res.json();
Response
[
{
"series_id": "KXBTC15M",
"exchange": "kalshi",
"title": "Bitcoin price up down",
"slug": "bitcoin-price-up-down",
"url": "https://kalshi.com/markets/kxbtc15m/bitcoin-price-up-down",
"category": "Crypto",
"status": "active",
"n_events_total": 42,
"n_events_active": 3,
"earliest_event_at": "2026-07-01T12:00:00Z",
"latest_event_at": "2026-07-11T18:00:00Z"
}
]